Subject: Re: bug#24764: 25.1.50; Another crash in automatic gc

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Oct 2016 13:22:27 +0300

> Date: Sun, 23 Oct 2016 12:32:46 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Michael Heerdegen <[email-masked]>
> > Cc: [email-masked]
> > Date: Sun, 23 Oct 2016 11:06:36 +0200
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > > When did all those crashes started to happen?
> > 
> > I think they started ~ 1 week ago.
> > 
> > That would correlate with when I had rebuild Emacs.  Before, I had
> > rebuild Emacs the last time 4 weeks ago (from emacs-25).  Then, one week
> > ago, I pulled from emacs-25 and rebuilt Emacs.  It could be that the
> > crashes started exactly then.
> 
> I cannot find any change on emacs-25 since Sep 1 that could somehow be
> related.

Could it be that you've upgraded your libc since that previous build?
That could mean that previously you didn't use ralloc.c, whereas now
you do.